Index: /code/trunk/src/modules/pickup/PickupManager.cc
===================================================================
--- /code/trunk/src/modules/pickup/PickupManager.cc	(revision 7547)
+++ /code/trunk/src/modules/pickup/PickupManager.cc	(revision 7548)
@@ -209,5 +209,4 @@
         Returns a pointer to the PickupRepresentation.
     */
-    //TODO: Why not return a const?
     PickupRepresentation* PickupManager::getRepresentation(const PickupIdentifier* identifier)
     {
Index: /code/trunk/src/modules/pickup/PickupRepresentation.cc
===================================================================
--- /code/trunk/src/modules/pickup/PickupRepresentation.cc	(revision 7547)
+++ /code/trunk/src/modules/pickup/PickupRepresentation.cc	(revision 7548)
@@ -85,13 +85,9 @@
         if(this->isInitialized())
         {
-            //TODO: Also (network) unregister for master.
             if(GameMode::isMaster() && this->pickup_ != NULL)
             {
                 PickupManager::getInstance().unregisterRepresentation(this->pickup_->getPickupIdentifier(), this);
             }
-            if(!GameMode::isMaster())
-            {
-                PickupManager::getInstance().unregisterRepresentation(this);
-            }
+            PickupManager::getInstance().unregisterRepresentation(this);
         }
     }
Index: /code/trunk/src/modules/pickup/PickupSpawner.cc
===================================================================
--- /code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 7547)
+++ /code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 7548)
@@ -97,5 +97,5 @@
             PickupRepresentation* representation = PickupManager::getInstance().getRepresentation(this->pickup_->getPickupIdentifier());
             this->attach(representation->getSpawnerRepresentation(this));
-            this->setActive(true); //TODO: Needed?
+            this->setActive(true);
         }
     }
Index: /code/trunk/src/modules/pickup/items/DronePickup.cc
===================================================================
--- /code/trunk/src/modules/pickup/items/DronePickup.cc	(revision 7547)
+++ /code/trunk/src/modules/pickup/items/DronePickup.cc	(revision 7548)
@@ -130,8 +130,4 @@
     {
         SUPER(DronePickup, changedUsed);
-
-        // If the pickup is not picked up nothing must be done.
-        if(!this->isPickedUp())
-            return;
 
         // If the pickup has transited to used.
Index: /code/trunk/src/modules/pickup/items/HealthPickup.cc
===================================================================
--- /code/trunk/src/modules/pickup/items/HealthPickup.cc	(revision 7547)
+++ /code/trunk/src/modules/pickup/items/HealthPickup.cc	(revision 7548)
@@ -187,8 +187,4 @@
     {
         SUPER(HealthPickup, changedUsed);
-
-        // If the pickup is not picked up nothing must be done.
-        if(!this->isPickedUp()) //TODO: Needed?
-            return;
 
         // If the pickup has transited to used.
Index: /code/trunk/src/modules/pickup/items/InvisiblePickup.cc
===================================================================
--- /code/trunk/src/modules/pickup/items/InvisiblePickup.cc	(revision 7547)
+++ /code/trunk/src/modules/pickup/items/InvisiblePickup.cc	(revision 7548)
@@ -109,8 +109,4 @@
     {
         SUPER(InvisiblePickup, changedUsed);
-
-        // If the pickup is not picked up nothing must be done.
-        if(!this->isPickedUp())
-            return;
 
         // If the pickup has transited to used.
Index: /code/trunk/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- /code/trunk/src/modules/pickup/items/MetaPickup.cc	(revision 7547)
+++ /code/trunk/src/modules/pickup/items/MetaPickup.cc	(revision 7548)
@@ -126,5 +126,4 @@
                 if(this->getMetaTypeDirect() == pickupMetaType::destroyCarrier)
                 {
-                    this->Pickupable::destroy(); //TODO: Needed?
                     Pawn* pawn = orxonox_cast<Pawn*>(carrier);
                     pawn->kill();
Index: /code/trunk/src/modules/pickup/items/ShieldPickup.cc
===================================================================
--- /code/trunk/src/modules/pickup/items/ShieldPickup.cc	(revision 7547)
+++ /code/trunk/src/modules/pickup/items/ShieldPickup.cc	(revision 7548)
@@ -126,8 +126,4 @@
     {
         SUPER(ShieldPickup, changedUsed);
-
-        // If the pickup is not picked up nothing must be done.
-        if(!this->isPickedUp())
-            return;
 
         Pawn* pawn = this->carrierToPawnHelper();
Index: /code/trunk/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- /code/trunk/src/modules/pickup/items/SpeedPickup.cc	(revision 7547)
+++ /code/trunk/src/modules/pickup/items/SpeedPickup.cc	(revision 7548)
@@ -126,8 +126,4 @@
     {
         SUPER(SpeedPickup, changedUsed);
-
-        // If the pickup is not picked up nothing must be done.
-        if(!this->isPickedUp())
-            return;
 
         Engine* engine = this->carrierToEngineHelper();
Index: /code/trunk/src/modules/questsystem/QuestHint.cc
===================================================================
--- /code/trunk/src/modules/questsystem/QuestHint.cc	(revision 7547)
+++ /code/trunk/src/modules/questsystem/QuestHint.cc	(revision 7548)
@@ -90,5 +90,5 @@
     bool QuestHint::isActive(const PlayerInfo* player) const
     {
-        //TODO: Replace with asser.
+        //TODO: Replace with assert.
         if(player == NULL) // NULL-Pointers are ugly!
         {