Index: code/trunk/src/modules/notifications/Notification.h
===================================================================
--- code/trunk/src/modules/notifications/Notification.h	(revision 7504)
+++ code/trunk/src/modules/notifications/Notification.h	(revision 7552)
@@ -49,6 +49,9 @@
 
         A Notification is just a datastructure that is used internally by the Notifications module.
+
     @author
         Damian 'Mozork' Frick
+
+    @ingroup Notifications
     */
     class _NotificationsExport Notification : public OrxonoxClass
Index: code/trunk/src/modules/notifications/NotificationDispatcher.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 7504)
+++ code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 7552)
@@ -118,5 +118,4 @@
         else if(GameMode::isServer())
         {
-            //TODO: This may fail if the object has not been synchronized, yet.
             callMemberNetworkFunction(NotificationDispatcher, dispatch, this->getObjectID(), clientId, clientId);
         }
Index: code/trunk/src/modules/notifications/NotificationDispatcher.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 7504)
+++ code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 7552)
@@ -39,4 +39,5 @@
 
 #include <string>
+
 #include "core/BaseObject.h"
 #include "network/synchronisable/Synchronisable.h"
@@ -62,6 +63,9 @@
         @endcode
         But keep in mind, that NotificationDispatcher is an abstract class and in this example @ref orxonox::PlayerTrigger "PlayerTrigger" stands for any event that is caused by a @ref orxonox::PlayerTrigger "PlayerTrigger", so instead of @ref orxonox::PlayerTrigger "PlayerTrigger", there could be a @ref orxonox::DistanceTrigger "DistanceTrigger", or a @ref orxonox::DistanceMultiTrigger "DistanceMutliTrigger", or even an @ref orxonox::EventListener "EventListener" that waits for an event coming from any kind of @ref orxonox::PlayerTrigger "PlayerTrigger".
+
     @author
         Damian 'Mozork' Frick
+
+    @ingroup Notifications
     */
     class _NotificationsExport NotificationDispatcher : public BaseObject, public Synchronisable
Index: code/trunk/src/modules/notifications/NotificationManager.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationManager.cc	(revision 7504)
+++ code/trunk/src/modules/notifications/NotificationManager.cc	(revision 7552)
@@ -149,5 +149,5 @@
         assert(notification);
 
-        std::time_t time = std::time(0); //TODO: Doesn't this expire? //!< Get current time.
+        std::time_t time = std::time(0); // Get current time.
 
         // Add the Notification to the list that holds all Notifications.
Index: code/trunk/src/modules/notifications/NotificationManager.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationManager.h	(revision 7504)
+++ code/trunk/src/modules/notifications/NotificationManager.h	(revision 7552)
@@ -53,6 +53,9 @@
         It receives, organizes @ref orxonox::Notification "Notifications" and the redistributes them to the specific @ref orxonox::NotificationListener "NotificationListeners".
         It also provides a static function to send @ref orxonox::Notification "Notifications" and works as a liaison between the @ref orxonox::NotificationQueue "NotificationQueues" and the GUI that displays notification, called NotificationLayer.
+
     @author
         Damian 'Mozork' Frick
+
+    @ingroup Notifications
     */
     class _NotificationsExport NotificationManager // tolua_export
Index: code/trunk/src/modules/notifications/NotificationQueue.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueue.h	(revision 7504)
+++ code/trunk/src/modules/notifications/NotificationQueue.h	(revision 7552)
@@ -51,5 +51,10 @@
 { // tolua_export
 
-    //! Container to allow easy handling.
+    /**
+    @brief
+        Container to allow easy handling of the @ref orxonox::Notification "Notifications".
+
+    @ingroup Notifications
+    */
     struct NotificationContainer
     {
@@ -58,5 +63,10 @@
     };
 
-    //! Struct to allow ordering of @ref orxonox::NotificationContainer "NotificationContainers".
+    /**
+    @brief
+        Struct to allow ordering of @ref orxonox::NotificationContainer "NotificationContainers".
+
+    @ingroup Notifications
+    */
     struct NotificationContainerCompare {
         bool operator() (const NotificationContainer* const & a, const NotificationContainer* const & b) const
@@ -76,4 +86,6 @@
     @author
         Damian 'Mozork' Frick
+
+    @ingroup Notifications
     */
     class _NotificationsExport NotificationQueue // tolua_export
Index: code/trunk/src/modules/notifications/dispatchers/CommandNotification.h
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/CommandNotification.h	(revision 7504)
+++ code/trunk/src/modules/notifications/dispatchers/CommandNotification.h	(revision 7552)
@@ -60,6 +60,9 @@
         Upon being triggered this would display the @ref orxonox::Notification "Notification" "Please press {the binding of the specified command} to do something".
         For more information on what can be used for @code <PlayerTrigger /> @endcode see the @ref orxonox::NotificationDispatcher "NotificationDispatcher" documentation.
+
     @author
         Damian 'Mozork' Frick
+
+    @ingroup NotificationDispatchers
     */
     class _NotificationsExport CommandNotification : public NotificationDispatcher
Index: code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h	(revision 7504)
+++ code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h	(revision 7552)
@@ -58,6 +58,9 @@
         @endcode
         For more information on what can be used for @code <PlayerTrigger /> @endcode see the @ref orxonox::NotificationDispatcher "NotificationDispatcher" documentation.
+
     @author
         Damian 'Mozork' Frick
+
+    @ingroup NotificationDispatchers
     */
     class _NotificationsExport SimpleNotification : public NotificationDispatcher