Index: /branches/cd/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /branches/cd/src/lib/collision_detection/obb_tree_node.cc	(revision 7553)
+++ /branches/cd/src/lib/collision_detection/obb_tree_node.cc	(revision 7554)
@@ -159,5 +159,4 @@
   float     covariance[3][3] = {0,0,0, 0,0,0, 0,0,0};//!< the covariance matrix
   sVec3D*   tmpVec = NULL;                           //!< a temp saving place for sVec3Ds
-
 
   /* fist compute all the convex hull face/facelets and centroids */
@@ -361,6 +360,6 @@
   for( int i = 0; i < 3; ++i)
   {
-    centerOffset[i] = (maxLength[i] + minLength[i]) / 2.0f;       // min length is negatie
-    box.halfLength[i] = (maxLength[i]- minLength[i]) / 2.0f;      // min length is negative
+    centerOffset[i] = (fabs(maxLength[i]) - fabs(minLength[i])) / 2.0f;       // min length is negatie
+    box.halfLength[i] = (maxLength[i] - minLength[i]) / 2.0f;                 // min length is negative
   }
   box.center.x += centerOffset[0];
@@ -369,12 +368,7 @@
 
   PRINTF(3)("\n");
-  PRINT(3)("\tAxis halflength x: %11.2f (max: %11.2f, \tmin: %11.2f)\n", box.halfLength[0], maxLength[0], minLength[0]);
-  PRINT(3)("\tAxis halflength x: %11.2f (max: %11.2f, \tmin: %11.2f)\n", box.halfLength[1], maxLength[1], minLength[1]);
-  PRINT(3)("\tAxis halflength x: %11.2f (max: %11.2f, \tmin: %11.2f)\n", box.halfLength[2], maxLength[2], minLength[2]);
-
-
-//   box.halfLength[0] = halfLength[0];
-//   box.halfLength[1] = halfLength[1];
-//   box.halfLength[2] = halfLength[2];
+  PRINT(3)("\tAxis halflength x: %11.2f (max: %11.2f, \tmin: %11.2f), offset: %11.2f\n", box.halfLength[0], maxLength[0], minLength[0], centerOffset[0]);
+  PRINT(3)("\tAxis halflength x: %11.2f (max: %11.2f, \tmin: %11.2f), offset: %11.2f\n", box.halfLength[1], maxLength[1], minLength[1], centerOffset[1] );
+  PRINT(3)("\tAxis halflength x: %11.2f (max: %11.2f, \tmin: %11.2f), offset: %11.2f\n", box.halfLength[2], maxLength[2], minLength[2], centerOffset[2]);
 }
 
@@ -677,11 +671,12 @@
 {
   /* this function can be used to draw the triangles and/or the points only  */
-  if( drawMode & DRAW_MODEL || drawMode & DRAW_ALL)
-  {
-    if( !(drawMode & DRAW_SINGLE && depth != 0))
-    {
-      if( drawMode & DRAW_POINTS)
+  if( 1 /*drawMode & DRAW_MODEL || drawMode & DRAW_ALL*/)
+  {
+    if( depth == 0/*!(drawMode & DRAW_SINGLE && depth != 0)*/)
+    {
+      if( 1 /*drawMode & DRAW_POINTS*/)
       {
         glBegin(GL_POINTS);
+        glColor3f(0.3, 0.8, 0.54);
         for( int i = 0; i < this->bvElement->modelInf->numVertices*3; i+=3)
           glVertex3f(this->bvElement->modelInf->pVertices[i],
@@ -703,5 +698,5 @@
 
   /* draw world axes */
-  if( drawMode & DRAW_BV_AXIS)
+  if( 1 /*drawMode & DRAW_BV_AXIS*/)
   {
     glBegin(GL_LINES);
@@ -721,7 +716,7 @@
 
 
-  if( drawMode & DRAW_BV_AXIS || drawMode & DRAW_ALL)
-  {
-    if( drawMode & DRAW_SINGLE && depth != 0)
+  if( 1/*drawMode & DRAW_BV_AXIS || drawMode & DRAW_ALL*/)
+  {
+    if( 1/*drawMode & DRAW_SINGLE && depth != 0*/)
     {
       /* draw the obb axes */
Index: /branches/cd/src/subprojects/collision_detection/collision_detection.cc
===================================================================
--- /branches/cd/src/subprojects/collision_detection/collision_detection.cc	(revision 7553)
+++ /branches/cd/src/subprojects/collision_detection/collision_detection.cc	(revision 7554)
@@ -77,6 +77,4 @@
 //   mod = (Model*)ResourceManager::getInstance()->load("models/reaplow.obj", OBJ, RP_CAMPAIGN);
 //   CDEngine::getInstance()->debugSpawnTree(9, (sVec3D*)mod->getVertexArray(), mod->getVertexArrayCount());
-
-
 
    entityList = new tList<WorldEntity>();
@@ -269,5 +267,5 @@
   while( entity != NULL)
   {
-    //if( likely(drawModel))
+    if( likely(drawModel))
       entity->draw();
     entity->drawBVTree(depth, drawMode);
Index: /branches/cd/src/subprojects/framework.cc
===================================================================
--- /branches/cd/src/subprojects/framework.cc	(revision 7553)
+++ /branches/cd/src/subprojects/framework.cc	(revision 7554)
@@ -35,5 +35,5 @@
 
   std::string dataPath = //Preferences::getInstance()->getString(CONFIG_SECTION_DATA, CONFIG_NAME_DATADIR, "");
-      "/home/boenzlip/orxonox/data";
+      "/home/boenzlip/orxonox/data/trunk/";
   printf("%s\n", dataPath.c_str());
   if (!dataPath.empty())